complexType "ReferencePair"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | referenceEntity?, (referenceObligation? | noReferenceObligation?), entityType?
</...>

Content Model Elements (4):

  entityType, noReferenceObligation (in referencePair), | referenceEntity (in referencePair), referenceObligation (in referencePair)

All Direct / Indirect Based Elements (1):

  referencePair

Known Usage Locations

- As direct type of elements (1):
  referencePair

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ReferencePair"> <xsd:sequence> <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/> <xsd:choice> <xsd:element minOccurs="0" name="referenceObligation" type="ReferenceObligation"/> <xsd:element minOccurs="0" name="noReferenceObligation" type="xsd:boolean"/> </xsd:choice> <xsd:element minOccurs="0" name="entityType" type="EntityType"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
entityType

  Type: | EntityType, simple content

  Defines the reference entity types corresponding to a list of types in the ISDA First to Default documentation.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="entityType" type="EntityType"/>

noReferenceObligation

  Type: | xsd:boolean, predefined, simple content

  Used to indicate that there is no Reference Obligation associated with this Credit Default Swap and that there will never be one.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="noReferenceObligation" type="xsd:boolean"/>

referenceEntity

  Type: | LegalEntity, complex content

  The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/>

referenceObligation

  Type: | ReferenceObligation, complex content

  The Reference Obligation is a financial instrument that is either issued or guaranteed by the reference entity. It serves to clarify the precise reference entity protection is being offered upon, and its legal position with regard to other related firms (parents/subsidiaries). Furthermore the Reference Obligation is ALWAYS deliverable and establishes the Pari Passu ranking (as the deliverable bonds must rank equal to the reference obligation). ISDA 2003 Term: Reference Obligation
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceObligation" type="ReferenceObligation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.